<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_231) on Fri Dec 06 14:58:24 GMT 2019 -->
<title>Player</title>
<meta name="date" content="2019-12-06">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Player";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10,"i19":10,"i20":10,"i21":10,"i22":10,"i23":10,"i24":10,"i25":10,"i26":10,"i27":10,"i28":10,"i29":10,"i30":10,"i31":10,"i32":10,"i33":10,"i34":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Player.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../player/People.html" title="interface in player"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../player/SixSidedDie.html" title="class in player"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?player/Player.html" target="_top">Frames</a></li>
<li><a href="Player.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">player</div>
<h2 title="Class Player" class="title">Class Player</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>player.Player</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="../player/People.html" title="interface in player">People</a></dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">Player</span>
extends java.lang.Object
implements <a href="../player/People.html" title="interface in player">People</a></pre>
<div class="block">Player Class</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../player/Player.html#Player-java.lang.String-java.lang.String-">Player</a></span>(java.lang.String&nbsp;newName,
      java.lang.String&nbsp;newToken)</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../player/Player.html#addToHand-board.PurchaseableSquare-">addToHand</a></span>(<a href="../board/PurchaseableSquare.html" title="class in board">PurchaseableSquare</a>&nbsp;newSquare)</code>&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../player/Player.html#aquiredJailFreeCard--">aquiredJailFreeCard</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../player/Player.html#getDoubleCount--">getDoubleCount</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../player/Player.html#getEscapingJail--">getEscapingJail</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>java.util.ArrayList&lt;<a href="../board/PurchaseableSquare.html" title="class in board">PurchaseableSquare</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../player/Player.html#getHand--">getHand</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../player/Player.html#getJailFreeCards--">getJailFreeCards</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code><a href="../game/Messenger.html" title="class in game">Messenger</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../player/Player.html#getMessenger--">getMessenger</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../player/Player.html#getMoney--">getMoney</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../player/Player.html#getName--">getName</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../player/Player.html#getOutOfJail--">getOutOfJail</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../player/Player.html#getPosition--">getPosition</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../player/Player.html#getToken--">getToken</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../player/Player.html#goTo-int-">goTo</a></span>(int&nbsp;newPosition)</code>
<div class="block">Moves player instantly to anywhere except jail.</div>
</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../player/Player.html#GoToJail--">GoToJail</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../player/Player.html#isInJail--">isInJail</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../player/Player.html#movePlayer-int-">movePlayer</a></span>(int&nbsp;spaces)</code>&nbsp;</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../player/Player.html#movePlayer-int:A-">movePlayer</a></span>(int[]&nbsp;roll)</code>
<div class="block">Moves a player by the amount in two rolls and records their doubles</div>
</td>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../player/Player.html#pay-player.People-int-">pay</a></span>(<a href="../player/People.html" title="interface in player">People</a>&nbsp;Recipient,
   int&nbsp;amount)</code>
<div class="block">Returns true if Player was has enough money to complete 
 transaction and money is successfully paid.</div>
</td>
</tr>
<tr id="i18" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../player/Player.html#payAll-java.util.ArrayList-int-">payAll</a></span>(java.util.ArrayList&lt;<a href="../player/Player.html" title="class in player">Player</a>&gt;&nbsp;players,
      int&nbsp;amountEach)</code>
<div class="block">Pays everyone a certain amount each</div>
</td>
</tr>
<tr id="i19" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../player/Player.html#receiveMoney-int-">receiveMoney</a></span>(int&nbsp;money)</code>&nbsp;</td>
</tr>
<tr id="i20" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../player/Player.html#removeFromHand-board.Square-">removeFromHand</a></span>(<a href="../board/Square.html" title="class in board">Square</a>&nbsp;square)</code>&nbsp;</td>
</tr>
<tr id="i21" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../player/Player.html#sellProperty-player.Player-board.PurchaseableSquare-int-">sellProperty</a></span>(<a href="../player/Player.html" title="class in player">Player</a>&nbsp;Buyer,
            <a href="../board/PurchaseableSquare.html" title="class in board">PurchaseableSquare</a>&nbsp;p,
            int&nbsp;money)</code>
<div class="block">sellProperty returns true if the property was sold successfully.</div>
</td>
</tr>
<tr id="i22" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../player/Player.html#setDoubleCount-int-">setDoubleCount</a></span>(int&nbsp;doubleCount)</code>&nbsp;</td>
</tr>
<tr id="i23" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../player/Player.html#setEscapingJail-int-">setEscapingJail</a></span>(int&nbsp;set)</code>&nbsp;</td>
</tr>
<tr id="i24" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../player/Player.html#setHand-java.util.ArrayList-">setHand</a></span>(java.util.ArrayList&lt;<a href="../board/PurchaseableSquare.html" title="class in board">PurchaseableSquare</a>&gt;&nbsp;hand)</code>&nbsp;</td>
</tr>
<tr id="i25" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../player/Player.html#setInJail-boolean-">setInJail</a></span>(boolean&nbsp;isInJail)</code>&nbsp;</td>
</tr>
<tr id="i26" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../player/Player.html#setJailFreeCards-int-">setJailFreeCards</a></span>(int&nbsp;jailFreeCards)</code>&nbsp;</td>
</tr>
<tr id="i27" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../player/Player.html#setMessenger-game.Messenger-">setMessenger</a></span>(<a href="../game/Messenger.html" title="class in game">Messenger</a>&nbsp;messenger)</code>&nbsp;</td>
</tr>
<tr id="i28" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../player/Player.html#setMoney-int-">setMoney</a></span>(int&nbsp;money)</code>&nbsp;</td>
</tr>
<tr id="i29" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../player/Player.html#setName-java.lang.String-">setName</a></span>(java.lang.String&nbsp;newName)</code>&nbsp;</td>
</tr>
<tr id="i30" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../player/Player.html#setPosition-int-">setPosition</a></span>(int&nbsp;position)</code>&nbsp;</td>
</tr>
<tr id="i31" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../player/Player.html#setToken-java.lang.String-">setToken</a></span>(java.lang.String&nbsp;newToken)</code>&nbsp;</td>
</tr>
<tr id="i32" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../player/Player.html#sumPoints--">sumPoints</a></span>()</code>
<div class="block">Sums all the scores for the win condition, cash, property value and house/hotel value</div>
</td>
</tr>
<tr id="i33" class="rowColor">
<td class="colFirst"><code>int[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../player/Player.html#twoDiceRoll--">twoDiceRoll</a></span>()</code>
<div class="block">Rolls two dice</div>
</td>
</tr>
<tr id="i34" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../player/Player.html#useJailFreeCard--">useJailFreeCard</a></span>()</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="Player-java.lang.String-java.lang.String-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>Player</h4>
<pre>public&nbsp;Player(java.lang.String&nbsp;newName,
              java.lang.String&nbsp;newToken)</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getMoney--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getMoney</h4>
<pre>public&nbsp;int&nbsp;getMoney()</pre>
</li>
</ul>
<a name="setMoney-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setMoney</h4>
<pre>public&nbsp;void&nbsp;setMoney(int&nbsp;money)</pre>
</li>
</ul>
<a name="receiveMoney-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>receiveMoney</h4>
<pre>public&nbsp;void&nbsp;receiveMoney(int&nbsp;money)</pre>
</li>
</ul>
<a name="pay-player.People-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>pay</h4>
<pre>public&nbsp;boolean&nbsp;pay(<a href="../player/People.html" title="interface in player">People</a>&nbsp;Recipient,
                   int&nbsp;amount)</pre>
<div class="block">Returns true if Player was has enough money to complete 
 transaction and money is successfully paid.
 Will return false otherwise.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>Recipient</code> - </dd>
<dd><code>amount</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
</dl>
</li>
</ul>
<a name="getHand--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getHand</h4>
<pre>public&nbsp;java.util.ArrayList&lt;<a href="../board/PurchaseableSquare.html" title="class in board">PurchaseableSquare</a>&gt;&nbsp;getHand()</pre>
</li>
</ul>
<a name="setHand-java.util.ArrayList-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setHand</h4>
<pre>public&nbsp;void&nbsp;setHand(java.util.ArrayList&lt;<a href="../board/PurchaseableSquare.html" title="class in board">PurchaseableSquare</a>&gt;&nbsp;hand)</pre>
</li>
</ul>
<a name="addToHand-board.PurchaseableSquare-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addToHand</h4>
<pre>public&nbsp;void&nbsp;addToHand(<a href="../board/PurchaseableSquare.html" title="class in board">PurchaseableSquare</a>&nbsp;newSquare)</pre>
</li>
</ul>
<a name="removeFromHand-board.Square-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>removeFromHand</h4>
<pre>public&nbsp;void&nbsp;removeFromHand(<a href="../board/Square.html" title="class in board">Square</a>&nbsp;square)</pre>
</li>
</ul>
<a name="getPosition--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPosition</h4>
<pre>public&nbsp;int&nbsp;getPosition()</pre>
</li>
</ul>
<a name="movePlayer-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>movePlayer</h4>
<pre>public&nbsp;void&nbsp;movePlayer(int&nbsp;spaces)</pre>
</li>
</ul>
<a name="twoDiceRoll--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>twoDiceRoll</h4>
<pre>public&nbsp;int[]&nbsp;twoDiceRoll()</pre>
<div class="block">Rolls two dice</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>two dice roll int array</dd>
</dl>
</li>
</ul>
<a name="movePlayer-int:A-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>movePlayer</h4>
<pre>public&nbsp;void&nbsp;movePlayer(int[]&nbsp;roll)</pre>
<div class="block">Moves a player by the amount in two rolls and records their doubles</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>roll</code> - </dd>
</dl>
</li>
</ul>
<a name="goTo-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>goTo</h4>
<pre>public&nbsp;void&nbsp;goTo(int&nbsp;newPosition)</pre>
<div class="block">Moves player instantly to anywhere except jail.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>newPosition</code> - </dd>
</dl>
</li>
</ul>
<a name="GoToJail--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>GoToJail</h4>
<pre>public&nbsp;void&nbsp;GoToJail()</pre>
</li>
</ul>
<a name="isInJail--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isInJail</h4>
<pre>public&nbsp;boolean&nbsp;isInJail()</pre>
</li>
</ul>
<a name="getJailFreeCards--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getJailFreeCards</h4>
<pre>public&nbsp;int&nbsp;getJailFreeCards()</pre>
</li>
</ul>
<a name="aquiredJailFreeCard--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>aquiredJailFreeCard</h4>
<pre>public&nbsp;void&nbsp;aquiredJailFreeCard()</pre>
</li>
</ul>
<a name="getOutOfJail--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getOutOfJail</h4>
<pre>public&nbsp;void&nbsp;getOutOfJail()</pre>
</li>
</ul>
<a name="setEscapingJail-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setEscapingJail</h4>
<pre>public&nbsp;void&nbsp;setEscapingJail(int&nbsp;set)</pre>
</li>
</ul>
<a name="getEscapingJail--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getEscapingJail</h4>
<pre>public&nbsp;int&nbsp;getEscapingJail()</pre>
</li>
</ul>
<a name="useJailFreeCard--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>useJailFreeCard</h4>
<pre>public&nbsp;boolean&nbsp;useJailFreeCard()</pre>
</li>
</ul>
<a name="sellProperty-player.Player-board.PurchaseableSquare-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>sellProperty</h4>
<pre>public&nbsp;boolean&nbsp;sellProperty(<a href="../player/Player.html" title="class in player">Player</a>&nbsp;Buyer,
                            <a href="../board/PurchaseableSquare.html" title="class in board">PurchaseableSquare</a>&nbsp;p,
                            int&nbsp;money)</pre>
<div class="block">sellProperty returns true if the property was sold successfully. 
 Returns false if the buyer has insufficient funds or if the property still has hotels or houses.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>Buyer</code> - </dd>
<dd><code>p</code> - </dd>
<dd><code>money</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
</dl>
</li>
</ul>
<a name="payAll-java.util.ArrayList-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>payAll</h4>
<pre>public&nbsp;boolean&nbsp;payAll(java.util.ArrayList&lt;<a href="../player/Player.html" title="class in player">Player</a>&gt;&nbsp;players,
                      int&nbsp;amountEach)</pre>
<div class="block">Pays everyone a certain amount each</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>players</code> - </dd>
<dd><code>amountEach</code> - </dd>
<dd><code>bank</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
</dl>
</li>
</ul>
<a name="sumPoints--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>sumPoints</h4>
<pre>public&nbsp;int&nbsp;sumPoints()</pre>
<div class="block">Sums all the scores for the win condition, cash, property value and house/hotel value</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>sum points</dd>
</dl>
</li>
</ul>
<a name="getMessenger--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getMessenger</h4>
<pre>public&nbsp;<a href="../game/Messenger.html" title="class in game">Messenger</a>&nbsp;getMessenger()</pre>
</li>
</ul>
<a name="setMessenger-game.Messenger-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setMessenger</h4>
<pre>public&nbsp;void&nbsp;setMessenger(<a href="../game/Messenger.html" title="class in game">Messenger</a>&nbsp;messenger)</pre>
</li>
</ul>
<a name="setDoubleCount-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setDoubleCount</h4>
<pre>public&nbsp;void&nbsp;setDoubleCount(int&nbsp;doubleCount)</pre>
</li>
</ul>
<a name="setPosition-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setPosition</h4>
<pre>public&nbsp;void&nbsp;setPosition(int&nbsp;position)</pre>
</li>
</ul>
<a name="setInJail-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setInJail</h4>
<pre>public&nbsp;void&nbsp;setInJail(boolean&nbsp;isInJail)</pre>
</li>
</ul>
<a name="setJailFreeCards-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setJailFreeCards</h4>
<pre>public&nbsp;void&nbsp;setJailFreeCards(int&nbsp;jailFreeCards)</pre>
</li>
</ul>
<a name="setName-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setName</h4>
<pre>public&nbsp;void&nbsp;setName(java.lang.String&nbsp;newName)</pre>
</li>
</ul>
<a name="setToken-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setToken</h4>
<pre>public&nbsp;void&nbsp;setToken(java.lang.String&nbsp;newToken)</pre>
</li>
</ul>
<a name="getToken--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getToken</h4>
<pre>public&nbsp;java.lang.String&nbsp;getToken()</pre>
</li>
</ul>
<a name="getName--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getName</h4>
<pre>public&nbsp;java.lang.String&nbsp;getName()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../player/People.html#getName--">getName</a></code>&nbsp;in interface&nbsp;<code><a href="../player/People.html" title="interface in player">People</a></code></dd>
</dl>
</li>
</ul>
<a name="getDoubleCount--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getDoubleCount</h4>
<pre>public&nbsp;int&nbsp;getDoubleCount()</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Player.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../player/People.html" title="interface in player"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../player/SixSidedDie.html" title="class in player"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?player/Player.html" target="_top">Frames</a></li>
<li><a href="Player.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
